# This file is configured by CMake automatically as DartConfiguration.tcl
# If you choose not to use CMake, this file may be hand configured, by
# filling in the required variables.
#
#
# NOTE:
#
# Future versions of Dart will not use the file Utility.conf.in. The proper 
# file to refer to is Dart.conf.in.  CMake version 2.0.1 configures 
# Dart.conf.in instead of configuring Utility.conf.in.  When versions of 
# CMake prior to 2.0.1 as no longer being used, Utility.conf.in will be 
# removed from Dart.
#


# Configuration directories and files
DartRoot: @DART_ROOT@
SourceDirectory: @PROJECT_SOURCE_DIR@
BuildDirectory: @PROJECT_BINARY_DIR@

# Dart options

# Project Home Page
ProjectURL: @PROJECT_URL@

# CVS options
# Default is "-d -P -A"
CVSUpdateOptions: @CVS_UPDATE_OPTIONS@

# Verbose build On/Off
# If On, will display build log as it is generated
VerboseBuild: @VERBOSE_BUILD@

# Hide Repeated errors
# If if on, errors with identical log lines will be not be displayed.
# Instead the first example of the error will display the number of repeats
DetectRepeatedErrors: @DETECT_REPEATED_ERRORS@

# Maximum of errors and warnings to report, use -1 for all
BuildErrorReportLimit: @BUILD_ERROR_REPORT_LIMIT@
BuildWarningReportLimit: @BUILD_WARNING_REPORT_LIMIT@

# Site is something like machine.domain, i.e. pragmatic.crd
Site: @SITE@

# Build name is osname-revision-compiler, i.e. Linux-2.4.2-2smp-c++
BuildName: @BUILDNAME@

# Submission information
DropSite: @DROP_SITE@
DropLocation: @DROP_LOCATION@
DropSiteUser: @DROP_SITE_USER@
DropSitePassword: @DROP_SITE_PASSWORD@
DropSiteMode: @DROP_SITE_MODE@
DropMethod: @DROP_METHOD@
TriggerSite: @TRIGGER_SITE@

# Dashboard start time
NightlyStartTime: @NIGHTLY_START_TIME@

# Manual Rollup
RollupURL:   @ROLLUP_URL@

# Project information
CVSWebURL:   @CVS_WEB_URL@
CVSROOT:     @CVS_WEB_CVSROOT@

# Optional Dart processes
# Doxygen
UseDoxygen:  @USE_DOXYGEN@
DoxygenURL:  @DOXYGEN_URL@
BuildDoxygen:  @BUILD_DOXYGEN@
DoxygenConfig: @DOXYGEN_CONFIG@

# Gnats
UseGnats:    @USE_GNATS@
GnatsWebURL: @GNATS_WEB_URL@

# Email delivery on broken builds
# DeliverBrokenBuildEmail should be a list of models (e.g. Nightly)
#   for which email should be sent. If this variable is set, _all_
#   the other options must be set.
# SMTPMailhost: the outgoing mail server
#   when necessary
# EmailFrom: the from address of the email
# DartboardBaseURL: the "Testing" directory of the dashboard URL
# EmailProjectName: the name of the project
# BuildMonitors: a list of people to whom the email if cc'ed. Each element
#   of the list has three parts: site regexp, buildname regexp, and set of
#   email addresses. For example,
#     BuildMonitors: {.* .* A} {foo\.bar .* B} {.* WinNT C}
#   would cause A to be notified of all build errors, B of all errors with
#   builds from *.foo.bar, and C of all errors on WinNT.
# CVSIdentToEmail: a list of rules for converting CVS identities into
#   email addresses. A list of pairs of {regexp substitution} are
#   used. The first regexp to match specifies which subsitution to use.
#   For example
#     CVSIndentToEmail: {robotuser DO_NOT_EMAIL} {.* {\0@somewhere.net} }
#   would mean that robotuser is not mailed, and every other user is
#   at somehwere.net
# DeliverBrokenBuildEmailWithConfigureFailures: Set to 1 if
#   you want email delivered for Build Warnings (Normally 1)
# DeliverBrokenBuildEmailWithBuildErrors: Set to 1 if you want
#   email delivered for Build Errors (Normally 1)
# DeliverBrokenBuildEmailWithBuildWarnings: Set to 1 if you
#   want email delivered for Build Warnings (Normally 0)
# DeliverBrokenBuildEmailWithTestNotRuns: Set to 1 if you
#   want email delivered for Build Warnings (Normally 0)
# DeliverBrokenBuildEmailWithTestFailures: Set to 1 if you
#   want email delivered for Build Warnings (Normally 0)
#
# The old "ContinuousEmail" effect can be obtained by setting
#   DeliverBrokenBuildEmail: Continuous
#   EmailFrom: $ContinuousFrom
#   DartboardBaseURL: $ContinuousBaseURL
#   EmailProjectName: $ContinuousProject
#   BuildMonitors: {.* .* "$ContinuousMonitorList"}
#   CVSIdentToEmail: {.* {\0@$DefaultContinuousDomain} }
#   DeliverBrokenBuildEmailWithConfigureFailures: 0
#   DeliverBrokenBuildEmailWithBuildErrors: 1
#   DeliverBrokenBuildEmailWithBuildWarnings: 0
#   DeliverBrokenBuildEmailWithTestNotRuns: 0
#   DeliverBrokenBuildEmailWithTestFailures: 0

DeliverBrokenBuildEmail: @DELIVER_BROKEN_BUILD_EMAIL@
EmailFrom: @EMAIL_FROM@
DartboardBaseURL: @DARTBOARD_BASE_URL@
EmailProjectName: @EMAIL_PROJECT_NAME@
BuildMonitors: @BUILD_MONITORS@
CVSIdentToEmail: @CVS_IDENT_TO_EMAIL@
DeliverBrokenBuildEmailWithConfigureFailures: @DELIVER_BROKEN_BUILD_EMAIL_WITH_CONFIGURE_FAILURES@
DeliverBrokenBuildEmailWithBuildErrors: @DELIVER_BROKEN_BUILD_EMAIL_WITH_BUILD_ERRORS@
DeliverBrokenBuildEmailWithBuildWarnings: @DELIVER_BROKEN_BUILD_EMAIL_WITH_BUILD_WARNINGS@
DeliverBrokenBuildEmailWithTestNotRuns: @DELIVER_BROKEN_BUILD_EMAIL_WITH_TEST_NOT_RUNS@
DeliverBrokenBuildEmailWithTestFailures: @DELIVER_BROKEN_BUILD_EMAIL_WITH_TEST_FAILURES@

# Continuous email delivery variables
# DeliverContinuousEmail should be On/Off
# If DeliverContinuousEmail is On, _all_ of the other options must be set!
# These variables are from the server's perspective, not the client.
DeliverContinuousEmail: @DELIVER_CONTINUOUS_EMAIL@
ContinuousFrom: @CONTINUOUS_FROM@
DefaultContinuousDomain: @DEFAULT_CONTINUOUS_DOMAIN@
SMTPMailhost: @SMTP_MAILHOST@
ContinuousMonitorList: @CONTINUOUS_MONITOR_LIST@
ContinuousBaseURL: @CONTINUOUS_BASE_URL@
ContinuousProject: @PROJECT_NAME@

# Other commands for the server
ExpectedBuilds: @EXPECTED_BUILDS@

# Commands for the build/test/submit cycle
ConfigureCommand: "@CMAKE_COMMAND@" "@PROJECT_SOURCE_DIR@"
CMakeCommand: @CMAKE_COMMAND@
MakeCommand: @MAKECOMMAND@
CVSCommand: @CVSCOMMAND@
TclshCommand: @TCL_TCLSH@
JavaCommand: @JAVACOMMAND@
ScpCommand: @SCPCOMMAND@
PurifyCommand: @PURIFYCOMMAND@
ValgrindCommand: @VALGRIND_COMMAND@
ValgrindCommandOptions: @VALGRIND_COMMAND_OPTIONS@
MemoryCheckCommand: @MEMORYCHECK_COMMAND@
MemoryCheckCommandOptions: @MEMORYCHECK_COMMAND_OPTIONS@
MemoryCheckSuppressionFile: @MEMORYCHECK_SUPPRESSIONS_FILE@
CoverageCommand: @COVERAGE_COMMAND@
# Compression commands
GunzipCommand: @GUNZIPCOMMAND@
CompressionCommand: @COMPRESSIONCOMMAND@
CompressionType: @COMPRESSIONCOMMAND@


# Testing options
# TimeOut is the amount of time in seconds to wait for processes
# to complete during testing.  After TimeOut seconds, the
# process will be summaily terminated.
# Currently set to 25 minutes
TimeOut: @DART_TESTING_TIMEOUT@

# A list of variables that need to be passed through
# Cygwin's name mangler
MangledPathNames: \
                  BuildDirectory \
                  CMakeCommand \
                  CompressionCommand \
                  CVSCommand \
                  DartRoot \
                  GunzipCommand \
                  JavaCommand \
                  MakeCommand \
                  PurifyCommand \
                  ScpCommand \
                  SourceDirectory \
                  TclshCommand
